<?php
/**
 * RSS title slider
 *
 * @package RSS title slider
 * @subpackage RSS title slider
 * @version   1.0 April, 2012
 * @author    Gopi.R
 * @copyright Copyright (C) 2010 - 2012 www.gopiplus.com, LLC
 * @license   http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 *
 */

// no direct access
defined('_JEXEC') or die;

class modRssTitleSliderHelper
{
	public function loadScripts(&$params)
	{
		$doc = &JFactory::getDocument();
		$doc->addScript(JURI::Root(true).'/modules/mod_rss_title_slider/js/jquery-1.3.2.min.js');
		$doc->addScript(JURI::Root(true).'/modules/mod_rss_title_slider/js/jquery.cycle.all.min.js');
		$doc->addStyleSheet(JURI::Root(true).'/modules/mod_rss_title_slider/css/mod_rss_title_slider.css');
	}
	
	public function getRssList($args)
	{
	  	@$url = $args['rts_rss'];
	  
	  	if(@$url == "")
		{
			@$url = "http://www.gopiplus.com/work/feed";
		}
		
		@$items	= array();
		@$xml = "";
		@$cnt=0;
		@$f = fopen( $url, 'r' );
		while( $data = fread( $f, 4096 ) ) { $xml .= $data; }
		fclose( $f );
		preg_match_all( "/\<item\>(.*?)\<\/item\>/s", $xml, $itemblocks );
		@$i=0;
		
		if ( ! empty($itemblocks) ) 
		{
			foreach( $itemblocks[1] as $block )
			{
				preg_match_all( "/\<title\>(.*?)\<\/title\>/",  $block, $title );
				preg_match_all( "/\<link\>(.*?)\<\/link\>/", $block, $link );
				$rss_title = $title[1][0];
				$rss_title = mysql_real_escape_string(trim($rss_title));
				$rss_link = $link[1][0];
				$rss_link = mysql_real_escape_string(trim($rss_link));
				$items[$i]->title	= $rss_title;
				$items[$i]->links	= $rss_link;
				$i++;			
			}	
		}
		
      	return $items;
    }
}
?>