<?php
/**
 * RSS title slider
 *
 * @package RSS title slider
 * @subpackage RSS title slider
 * @version   1.0 April, 2012
 * @author    Gopi.R
 * @copyright Copyright (C) 2010 - 2012 www.gopiplus.com, LLC
 * @license   http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 *
 */

// no direct access
defined('_JEXEC') or die;

// Include the syndicate functions only once
require_once(dirname(__FILE__).DS.'helper.php');

// get a parameter from the module's configuration
$rts_direction = $params->get('rts_direction');
$rts_speed = $params->get('rts_speed');
$rts_timeout = $params->get('rts_timeout');
$rts_css = $params->get('rts_css');
$args['rts_rss'] = $params->get('rts_rss');

$items = modRssTitleSliderHelper::getRssList($args);

modRssTitleSliderHelper::loadScripts($params);

// include the template for display
require(JModuleHelper::getLayoutPath('mod_rss_title_slider'));
?>